Bug 1565295 - introspection should report /dev/disk/by-path name of block devices (OSP 10)
Summary: introspection should report /dev/disk/by-path name of block devices (OSP 10)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic-python-agent
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: z9
: 10.0 (Newton)
Assignee: Ilya Etingof
QA Contact: bjacot
URL:
Whiteboard: PerfScale
Depends On: 1445451
Blocks: 1368482 1335593 1475550
TreeView+ depends on / blocked
 
Reported: 2018-04-09 19:46 UTC by Sean Merrow
Modified: 2018-09-17 17:00 UTC (History)
18 users (show)

Fixed In Version: openstack-ironic-python-agent-1.5.2-4.el7ost python-ironic-lib-2.1.3-2.el7ost
Doc Type: Enhancement
Doc Text:
With this update, bare metal node introspection reports both the /dev/XXX block device name and the /dev/disk/by-path/XXX name. Unlike the /dev/XXX name, the /dev/disk/by-path/XXX name does not change at system reboot and may be the same across similarly configured hardware. This update improves reliability of deployments by using /dev/disk/by-path/XXX information in the cloud configuration.
Clone Of: 1445451
Environment:
Last Closed: 2018-09-17 16:59:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1679726 0 None None None 2018-04-09 19:46:44 UTC
Red Hat Bugzilla 1522864 0 medium CLOSED [RFE] Backporting the upstream fix for bug 1679726 (discovery does not include /dev/disk/by-path device name) 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHBA-2018:2671 0 None None None 2018-09-17 17:00:21 UTC

Internal Links: 1522864

Comment 2 Sean Merrow 2018-04-09 19:49:29 UTC
This request is to backport the RFE of which this is a clone of, to OSP 10.

Comment 3 Ilya Etingof 2018-04-25 21:48:17 UTC
I have tested this backport on OSP10 - seems to work:

$ openstack baremetal introspection start controller-0
$ openstack baremetal introspection data save controller-0 | python -m json.tool
...
       "disks": [
            {
                "by_path": "/dev/disk/by-path/pci-0000:00:08.0",
                "model": "",
                "name": "/dev/vda",
                "rotational": true,
                "serial": null,
                "size": 32212254720,
                "vendor": "0x1af4",
                "wwn": null,
                "wwn_vendor_extension": null,
                "wwn_with_extension": null
            }
        ],
...

Comment 10 bjacot 2018-08-08 14:34:15 UTC
installed latest OSP10

$ cat /etc/yum.repos.d/latest-installed 
10   -p 2018-08-04.1


Verfied Gerrit changes were commited.  Ran openstack baremetal intorspection data save $UUID | jq '.inventory.disks' 

verified output shows the /dev/disk/ in the output.  Please reopen if issue is still present.

openstack baremetal introspection data save 9683dcc9-7f9f-45d6-81df-07270b525292 | jq '.inventory.disks'
[
  {
    "size": 32212254720,
    "serial": null,
    "rotational": true,
    "vendor": "0x1af4",
    "name": "/dev/vda",
    "wwn_vendor_extension": null,
    "wwn_with_extension": null,
    "by_path": "/dev/disk/by-path/pci-0000:00:08.0",
    "model": "",
    "wwn": null
  }
]

Comment 12 Alex McLeod 2018-09-03 07:59:21 UTC
Hi there,

If this bug requires doc text for errata release, please set the 'Doc Type' and provide draft text according to the template in the 'Doc Text' field.

The documentation team will review, edit, and approve the text.

If this bug does not require doc text, please set the 'requires_doc_text' flag to -.

Thanks,
Alex

Comment 14 errata-xmlrpc 2018-09-17 16:59:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2671


Note You need to log in before you can comment on or make changes to this bug.